> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riona.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Niche Insights

> Get Instagram Niche Revenue Insights 💲

<ResponseExample>
  ```json 200 theme={null}
  {
    "lastUpdate": "12-09-2025",
    "niches": [
      {
        "rank": 1,
        "niche": "Fashion",
        "estAvgCPM": 4,
        "lowAvgCPM": 3,
        "highAvgCPM": 6,
        "currencyCPM": "USD"
      },
      {
        "rank": 2,
        "niche": "Makeup Tutorials",
        "estAvgCPM": 4,
        "lowAvgCPM": 3,
        "highAvgCPM": 6,
        "currencyCPM": "USD"
      },
      {
        "rank": 3,
        "niche": "Personal Finance",
        "estAvgCPM": 3,
        "lowAvgCPM": 2,
        "highAvgCPM": 5,
        "currencyCPM": "USD"
      },
      {
        "rank": 4,
        "niche": "Investing / Crypto",
        "estAvgCPM": 3,
        "lowAvgCPM": 2,
        "highAvgCPM": 5,
        "currencyCPM": "USD"
      },
      {
        "rank": 5,
        "niche": "Entrepreneurship",
        "estAvgCPM": 3,
        "lowAvgCPM": 2,
        "highAvgCPM": 5,
        "currencyCPM": "USD"
      },
      {
        "rank": 6,
        "niche": "Fitness & Wellness",
        "estAvgCPM": 3,
        "lowAvgCPM": 2,
        "highAvgCPM": 5,
        "currencyCPM": "USD"
      },
      {
        "rank": 7,
        "niche": "Travel & Ads",
        "estAvgCPM": 2,
        "lowAvgCPM": 1,
        "highAvgCPM": 3,
        "currencyCPM": "USD"
      },
      {
        "rank": 8,
        "niche": "Parenting & Home",
        "estAvgCPM": 2,
        "lowAvgCPM": 1,
        "highAvgCPM": 3,
        "currencyCPM": "USD"
      },
      {
        "rank": 9,
        "niche": "Cooking & Recipes",
        "estAvgCPM": 2,
        "lowAvgCPM": 1,
        "highAvgCPM": 3,
        "currencyCPM": "USD"
      },
      {
        "rank": 10,
        "niche": "Gaming Clips",
        "estAvgCPM": 1,
        "lowAvgCPM": 0.5,
        "highAvgCPM": 2,
        "currencyCPM": "USD"
      },
      {
        "rank": 11,
        "niche": "Humor & Memes",
        "estAvgCPM": 1,
        "lowAvgCPM": 0.5,
        "highAvgCPM": 2,
        "currencyCPM": "USD"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml api-reference/openapi-3.0.json get /wf/instagram-niches-insight
openapi: 3.0.3
info:
  title: Riona API Docs
  version: 1.0.0
  contact:
    email: info@riona.ai
    url: https://riona.ai
servers:
  - url: https://riona.ai/api/1.1
security:
  - bearerAuth: []
tags:
  - name: Workflow
    description: Use this to trigger a workflow
  - name: Data
    description: Use this to fetch, modify and delete data
paths:
  /wf/instagram-niches-insight:
    get:
      tags:
        - Workflow
      description: Triggers the workflow instagram-niches-insight
      operationId: get_wf_instagram-niches-insight
      parameters:
        - name: api_key
          in: query
          required: true
          description: >-
            This is your account API Key. You can easily locate it in your
            account dashboard.
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````